Bug 33970 - Update Browser compatibility list
Update Browser compatibility list
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Alexander Kramer
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-22 13:58 CET by Erik Damrose
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Browser compatibility
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2014-01-22 13:58:42 CET
We should revise our browser compatibility list: UVMM uses noVNC to allow easy access to virtual machines. NoVNC uses websockets, which is not supported by all browsers currently on our c-list. Tested for example at Bug 33587

Internet Explorer supports websockets for versions >=10
Comment 1 Alexander Kläser univentionstaff 2014-09-12 17:41:51 CEST
The new list of supported browsers will be:

 - Chrome >= 33
 - Firefox >= 24
 - Internet Explorer >= 9
 - Safari (+ Safari Mobile) >= 7

It would be good to mention operation systems (Mac OS X + iOS). Android seems to be somewhat more difficult, there exist multiple browser (at least w.r.t. their IDs): Android Browser, Chrome, Chrome Mobile, Firefox, Mobile Safari, Safari.

(For instance, my Samsung seems to be detected as Safari.)
Comment 2 Stefan Gohmann univentionstaff 2014-10-28 08:13:42 CET
univention-system-setup: r54986 + r54988

Manual: r54987

I didn't add the operating systems, in my opinion it looks too complicated.

From the manual I've removed the android browser.

Changelog: r54989
Comment 3 Alexander Kramer univentionstaff 2014-10-31 13:34:42 CET
OK - Changelog
OK - Manual
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:13 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".